Skip to main content
GET
/
search
/
{org}
/
sha
/
{search_value}
Search artifacts by SHA or fingerprint
curl --request GET \
  --url https://app.kosli.com/api/v2/search/{org}/sha/{search_value} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.kosli.com/api/v2/search/{org}/sha/{search_value}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.kosli.com/api/v2/search/{org}/sha/{search_value}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "artifacts": [
    {
      "fingerprint": "<string>",
      "name": "<string>",
      "has_provenance": true,
      "git_commit": "<string>",
      "pipeline": "<string>",
      "flow": "<string>",
      "trail": "<string>",
      "template_reference_name": "<string>",
      "build_url": "<string>",
      "commit_url": "<string>",
      "compliance_state": "<string>",
      "running_in": [
        "<string>"
      ],
      "exited_from": [
        "<string>"
      ],
      "html_url": "<string>",
      "api_url": "<string>",
      "history": [
        "<unknown>"
      ]
    }
  ],
  "resolved_to": {
    "type": "<string>",
    "full_match": "<string>",
    "fingerprints": {
      "type": "<string>",
      "count": 123,
      "matches": [
        "1084c799cd551dd1d8d5c5f9a5d593b2e931f5e36122ee5c793c1d08a19839cc"
      ]
    },
    "commits": {
      "type": "<string>",
      "count": 123,
      "matches": [
        "e0ad84e1a2464a9486e777c1ecde162edff930a9"
      ]
    }
  }
}
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

search_value
string
required
org
string
required

Response

Artifacts matching the search value.

artifacts
SearchFoundArtifactModel · object[]
required

Artifacts that matched the search value.

resolved_to
SearchResolvedModel · object | null
Last modified on June 19, 2026